peak.can.basic

## Class TPCANTimestamp

- java.lang.Object
- - peak.can.basic.TPCANTimestamp

-     public class TPCANTimestamp
      extends java.lang.Object

  Defines the point of time at which a CAN message was received.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TPCANTimestamp()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getMicros()` Gets microseconds
    `short` | `getMillis_overflow()` Gets milliseconds overflow
    `int` | `getMillis()` Gets milliseconds
    `void` | `setMicros(short micros)` Sets microseconds
    `void` | `setMillis_overflow(short millis_overflow)` Sets milliseconds overflow
    `void` | `setMillis(int millis)` Sets milliseconds

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TPCANTimestamp

          public TPCANTimestamp()

      Default constructor

  - ### Method Detail

    - #### getMicros

          public short getMicros()

      Gets microseconds
      Returns:
        microseconds (0-999)

    - #### setMicros

          public void setMicros(short micros)

      Sets microseconds
      Parameters:
        `micros` - microseconds (0-999)

    - #### getMillis

          public int getMillis()

      Gets milliseconds
      Returns:
        milliseconds

    - #### setMillis

          public void setMillis(int millis)

      Sets milliseconds
      Parameters:
        `millis` - milliseconds

    - #### getMillis_overflow

          public short getMillis_overflow()

      Gets milliseconds overflow
      Returns:
        milliseconds overflow

    - #### setMillis_overflow

          public void setMillis_overflow(short millis_overflow)

      Sets milliseconds overflow
      Parameters:
        `millis_overflow` - milliseconds overflow